Passer au contenu principal
POST
/
cms
/
hubdb
/
2026-03
/
tables
/
{tableIdOrName}
/
rows
/
draft
/
batch
/
replace
Remplacer les lignes en lot dans le tableau brouillon
curl --request POST \
  --url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/draft/batch/replace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "childTableId": 123,
      "displayIndex": 123,
      "values": {},
      "id": "<string>",
      "name": "<string>",
      "path": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "childTableId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "publishedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "values": {}
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

tableIdOrName
string
requis

Corps

application/json
inputs
object[]
requis

Réponse

successful operation

completedAt
string<date-time>
requis

L'horodatage indiquant quand le traitement par lots a été terminé.

results
object[]
requis
startedAt
string<date-time>
requis

L'horodatage indiquant quand le traitement par lots a commencé.

status
enum<string>
requis

Statut actuel de l'opération par lots, avec les valeurs possibles suivantes : ANNULÉ, TERMINÉ, EN ATTENTE, EN COURS DE TRAITEMENT.

Options disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Une collection de liens associés à la réponse par lot.

requestedAt
string<date-time>

L'horodatage indiquant quand la demande par lots a été effectuée.

Last modified on April 13, 2026